Trifaco API
Documentos

Consultar revisión inmutable

GET/v1/documents/{id}/revisions/{revision}

Estado: implementada. Ambientes: simulation, qualification. Permisos: documents:read.

Alcance: Consulta revisión actual o archivada con entrada e historial, sin modificar evidencia.

Consultar revisión inmutable

Authorization

ClientApiKey
X-API-Key<token>

Secreto ligado a empresa, actor, permisos y ambiente. No admite cambiar empresa por body/header.

In: header

Path Parameters

id*string

Identificador opaco. No autoriza acceso por sí mismo.

Formatuuid
Length1 <= length <= 36
revision*integer
Range1 <= value <= 2147483647

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions/1"
{  "document": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",    "document_type": "invoice",    "external_reference": "string",    "revision": 1,    "version": 1,    "delivery_status": "not_ready",    "fiscal_identity": {      "prefix": "string",      "number": "string",      "unique_code": "string",      "unique_code_type": "CUFE"    },    "signature": {      "profile": "authorized-laboratory-v1",      "certificate_id": "620df92a-0599-41ff-b912-58ec0e5bd21f",      "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9",      "fingerprint_sha256": "string",      "cufe": "string",      "signed_at": "2019-08-24T14:15:22Z",      "artifact_id": "b7bd6bbb-c7f1-4314-8742-2aeeeece9d12",      "sha256": "string",      "certificate_pem": "string",      "cude": "string",      "identifier_type": "CUFE"    },    "rules_version": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "next_attempt_at": "2019-08-24T14:15:22Z",    "blocked_reason": "string",    "related_note_ids": [],    "original_document_id": "7f1813df-620d-4204-8250-eea2e06a4183",    "credit_adjustment": {      "status": "none",      "credited_amount": "string",      "reserved_amount": "string",      "remaining_amount": "string"    },    "debit_adjustment": {      "debited_amount": "string",      "reserved_amount": "string",      "adjusted_amount": "string"    },    "environment": "production",    "billing_status": "reserved",    "allowed_actions": null,    "processing_status": "cancelled",    "dian": {      "code": "string",      "message": "string",      "received_at": "2019-08-24T14:15:22Z",      "tracking_id": "string",      "errors": [],      "warnings": [],      "status": "not_sent"    }  },  "input": {    "document_type": "invoice",    "external_reference": "string",    "profile_id": "co-sale-cop-v1",    "numbering_range_id": "d065a90b-5366-48c7-8bff-81d217b766c5",    "issued_at": "2019-08-24T14:15:22Z",    "currency": "COP",    "buyer": {      "party_type": "company",      "identification": {        "check_digit": "s",        "type_code": "31",        "number": "string"      },      "name": "string",      "address": {        "country_code": "CO",        "department_code": "st",        "municipality_code": "strin",        "city_name": "string",        "line": "string",        "postal_code": "string"      },      "email": "user@example.com",      "tax_registration": {        "responsibility_codes": [          "string"        ],        "tax_scheme_codes": [          "string"        ]      }    },    "lines": [      {        "id": "string",        "description": "string",        "product_identification": {          "scheme_code": "001",          "value": "string"        },        "quantity": "string",        "unit_code": "string",        "unit_price": "string",        "price_base_quantity": "string",        "net_amount": "string",        "vat_treatment": "taxed",        "adjustments": [],        "taxes": [],        "withholdings": [],        "original_line_id": "string"      }    ],    "adjustments": [],    "tax_totals": [],    "withholding_totals": [],    "totals": {      "line_extension_amount": "string",      "tax_exclusive_amount": "string",      "tax_inclusive_amount": "string",      "allowance_total_amount": "string",      "charge_total_amount": "string",      "prepaid_amount": "string",      "payable_rounding_amount": "string",      "payable_amount": "string"    },    "payment": {      "means_code": "string",      "due_date": "2019-08-24",      "reference": "string",      "terms": "credit"    },    "prepaid_payments": [],    "delivery": {      "mode": "trifaco_email",      "recipients": [        "user@example.com"      ]    },    "references": [],    "notes": "string"  },  "timeline": []}